Subject: Re: bug#6236: Bug report in Date Command
From: Bob Proulx <[email-masked]>
To: [email-masked], [email-masked]
Date: Mon, 7 Jun 2010 17:37:06 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Eric Blake wrote:
> This is a mailing list frequented by lots of readers.  I'm not David,
> but I can reply.

By coincidence I am not David either.  But will respond too anyway. :-)

> lijian 65631 wrote:
> > When I input the comman 'date "+%Y%m%d" -d "1986-05-04 1 day"' to get the
> > next day of '1986-05-04', I get the result as below.
> > 
> > Maybe it is a bug of Date command , Please help to find it, Thanks.
> 
> Thanks for the report.  However, it is most likely the only bug here is
> your understanding of how date operates around daylight savings events:
> http://www.gnu.org/software/coreutils/faq/#The-date-command-is-not-working-right_002e

I am confident that this is related to daylight savings time and that
it is answered in the FAQ.  Not having seen any activity on this issue
for a while I am going to close it in the bug tracking system.  Please
feel free to follow up if it has not answered your questions and the
group will see and read your message and the bug tracker will keep
track of it for us.

Bob